<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (C) 2012 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
     package="android.view.accessibility.cts"
     android:targetSandboxVersion="2">

    <uses-permission android:name="android.permission.DISABLE_KEYGUARD"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS"/>

    <application android:theme="@android:style/Theme.Holo.NoActionBar"
         android:requestLegacyExternalStorage="true">
        <uses-library android:name="android.test.runner"/>
        <service android:name=".SpeakingAccessibilityService"
             android:label="@string/title_speaking_accessibility_service"
             android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE"
             android:exported="true">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService"/>
            </intent-filter>
            <meta-data android:name="android.accessibilityservice"
                 android:resource="@xml/speaking_accessibilityservice"/>
        </service>

        <service android:name=".VibratingAccessibilityService"
             android:label="@string/title_vibrating_accessibility_service"
             android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE"
             android:exported="true">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService"/>
            </intent-filter>
            <meta-data android:name="android.accessibilityservice"
                 android:resource="@xml/vibrating_accessibilityservice"/>
        </service>

        <service android:name=".SpeakingAndVibratingAccessibilityService"
             android:label="@string/title_speaking_and_vibrating_accessibility_service"
             android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE"
             android:exported="true">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService"/>
            </intent-filter>
            <meta-data android:name="android.accessibilityservice"
                 android:resource="@xml/speaking_and_vibrating_accessibilityservice"/>
        </service>

        <service android:name=".NoFeedbackAccessibilityService"
             android:label="@string/title_no_feedback_accessibility_service"
             android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE"
             android:exported="true">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService"/>
            </intent-filter>
            <meta-data android:name="android.accessibilityservice"
                 android:resource="@xml/no_feedback_accessibilityservice"/>
        </service>

        <service android:name=".AccessibilityButtonService"
             android:label="@string/title_accessibility_button_service"
             android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE"
             android:exported="true">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService"/>
            </intent-filter>
            <meta-data android:name="android.accessibilityservice"
                 android:resource="@xml/accessibility_button_service"/>
        </service>

        <activity android:label="@string/some_description"
             android:name=".DummyActivity"
             android:screenOrientation="locked"/>

        <activity android:name=".AccessibilityShortcutTargetActivity"
             android:label="@string/shortcut_target_title"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.ACCESSIBILITY_SHORTCUT_TARGET"/>
            </intent-filter>
            <meta-data android:name="android.accessibilityshortcut.target"
                 android:resource="@xml/shortcut_target_activity"/>
        </activity>

    </application>

    <instrumentation android:name="androidx.test.runner.AndroidJUnitRunner"
         android:targetPackage="android.view.accessibility.cts"
         android:label="Tests for the accessibility APIs.">
        <meta-data android:name="listener"
             android:value="com.android.cts.runner.CtsTestRunListener"/>
    </instrumentation>

</manifest>
